# $Revision: 1.29 $, $Date: 2012/02/10 08:09:22 $
Summary:	I/O tool for benchmark and stress/hardware verification
Summary(pl.UTF-8):	Narzędzie do mierzenia wydajności I/O i sprawdzania sprawności sprzętu
Name:		fio
Version:	2.0.3
Release:	1
License:	GPL v2+
Group:		Applications
Source0:	http://brick.kernel.dk/snaps/%{name}-%{version}.tar.bz2
# Source0-md5:	e3b878ab0a4cba072d99e222d86287ed
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-crc32c-intel.patch
URL:		http://git.kernel.dk/?p=fio.git;a=summary
BuildRequires:	libaio-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fio is an I/O tool meant to be used both for benchmark and
stress/hardware verification. It has support for 9 different types of
I/O engines (sync, mmap, libaio, posixaio, SG v3, splice, null,
network, syslet), I/O priorities (for newer Linux kernels), rate I/O,
forked or threaded jobs, and much more. It can work on block devices
as well as files. fio accepts job descriptions in a
simple-to-understand text format. Several example job files are
included. fio displays all sorts of I/O performance information. It
supports Linux, FreeBSD, and OpenSolaris.

%description -l pl.UTF-8
fio to narzędzie do mierzenia wydajności I/O oraz sprawdzania
sprawności sprzętu pod dużym obciążeniem. Obsługuje 9 różnych rodzajów
silników I/O (sync, mmap, libaio, posixaio, SG v3, splice, null,
network, syslet), priorytety I/O (dla nowszych jąder Linuksa),
przepustowość I/O, zadania wieloprocesowe lub wielowątkowe i wiele
więcej. Może działać na urządzeniach blokowych oraz na plikach. fio
przyjmuje opisy zadań w formacie tekstowym prostym do zrozumienia. Ma
załączone kilka przykładowych plików zadań. Wyświetla wszystkie
rodzaje informacji o wydajności I/O. Obsługuje Linuksa, FreeBSD i
OpenSolarisa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags} %{rpmcppflags}" \
	LDFLAGS="%{rpmldflags}" \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix="%{_prefix}" \
	mandir="%{_mandir}" \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HOWTO README
%doc examples
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/fio*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fio.spec,v $
Revision 1.29  2012/02/10 08:09:22  lisu
- 2.0.3

Revision 1.28  2012/02/03 08:54:13  lisu
- up to 2.0.2

Revision 1.27  2012/01/25 09:33:36  lisu
- up to 2.0.1

Revision 1.26  2011/12/20 10:11:01  lisu
- up to 2.0

Revision 1.25  2011/10/18 06:58:00  lisu
- 1.60

Revision 1.24  2011/09/20 09:39:48  lisu
- 1.58

Revision 1.23  2011/07/15 06:56:30  lisu
- up to 1.57

Revision 1.22  2011/06/01 06:47:51  lisu
- updated to 1.55

Revision 1.21  2011/05/13 18:24:23  marti
- up to 1.54

Revision 1.20  2011/05/06 07:27:30  lisu
- up to 1.53

Revision 1.19  2011/05/01 06:44:42  marti
- up to 1.52

Revision 1.18  2011/03/28 07:22:04  lisu
- up to 1.51

Revision 1.17  2011/02/18 09:55:35  arekm
- use rpmcppflags

Revision 1.16  2011/01/28 08:16:21  lisu
- 1.50.2

Revision 1.15  2011/01/27 09:41:51  lisu
- updated to 1.50.1
- verbose build

Revision 1.14  2010/12/16 08:26:22  lisu
- 1.44.3

Revision 1.13  2010/11/08 10:29:45  lisu
- 1.44.2

Revision 1.12  2010/10/25 07:43:23  lisu
- 1.44.1

Revision 1.11  2010/10/12 08:14:42  lisu
- 1.44

Revision 1.10  2010/08/29 07:23:18  lisu
- 1.43.2

Revision 1.9  2010/08/26 07:01:30  lisu
- up to 1.43.1

Revision 1.8  2010/07/16 11:54:25  lisu
- 1.42

Revision 1.7  2010/07/12 10:54:45  lisu
- up to 1.41.6
- back to SIGKILL in crc32c-intel.c, cpuid causes gcc error

Revision 1.6  2010/06/24 10:17:43  lisu
- 1.41.4
- rel 1

Revision 1.5  2010/06/22 07:51:24  lisu
- 1.41.3

Revision 1.4  2010/06/21 12:43:56  lisu
- up to 1.41
- add missing -makefile.patch

Revision 1.3  2009/12/22 15:36:48  matik
- upped to 1.36
- packaged examples and manpages

Revision 1.2  2007/03/14 15:55:25  qboosh
- pl

Revision 1.1  2007/03/02 22:32:25  twittner
- new
